
cas.server.name=https://localhost:9443
cas.server.prefix=https://localhost:9443/cas
cas.host.name=cas

## 
# CAS UI Theme Resolution
#
cas.theme.paramName=theme
cas.theme.defaultThemeName=cas-theme-default

##
# Single Sign-On Session
# 
cas.sso.missingService=true
cas.sso.renewedAuthn=true
 
##
# CAS Health Monitoring
#  
cas.monitor.st.warn.threshold=5000 
cas.monitor.tgt.warn.threshold=10000
cas.monitor.freeMemThreshold=10
  
##
# File Authentication
#
cas.authn.file.separator=::
cas.authn.file.filename=file:c:/sravani/tomcat/config/people.txt
 
## 
# Accepted Users Authentication
#  
cas.authn.accept.users=
cas.authn.accept.passwordEncoder.type=NONE
# cas.authn.accept.passwordEncoder.characterEncoding=
# cas.authn.accept.passwordEncoder.encodingAlgorithm=
# cas.authn.accept.passwordEncoder.secret=
# cas.authn.accept.passwordEncoder.strength=16
# cas.authn.accept.principalTransformation.suffix=
# cas.authn.accept.principalTransformation.caseConversion=NONE|UPPERCASE|LOWERCASE
# cas.authn.accept.principalTransformation.prefix=
 
## 
# Inactivity Timeout Policy
#
cas.ticket.tgt.timeout.maxTimeToLiveInSeconds=28800
 
## 
# Hard Timeout Policy
# 
cas.ticket.tgt.hardTimeout.timeToKillInSeconds=28800
 
 
## 
# Throttled Timeout Policy
# 
cas.ticket.tgt.throttledTimeout.timeToKillInSeconds=28800
cas.ticket.tgt.throttledTimeout.timeInBetweenUsesInSeconds=5
 
## 
# Default Expiration Policy
#
 # Set to a negative value to never expire tickets
cas.ticket.tgt.maxTimeToLiveInSeconds=28800
cas.ticket.tgt.timeToKillInSeconds=7200
 
##
#Service Ticket Timeout
#
cas.ticket.st.maxLength=20
cas.ticket.st.numberOfUses=100
cas.ticket.st.timeToKillInSeconds=100
 
## 
# Http Client Settings
#
cas.httpClient.connectionTimeout=5000
cas.httpClient.asyncTimeout=5000
cas.httpClient.readTimeout=5000
 
## 
#Audits
#
cas.audit.auditFormat=DEFAULT
cas.audit.ignoreAuditFailures=true
cas.audit.singlelineSeparator=|
cas.audit.useSingleLine=true
cas.audit.appCode=CAS
 
##
# Default Ticket Registry
#
cas.ticket.registry.inMemory.loadFactor=100
cas.ticket.registry.inMemory.concurrency=200
cas.ticket.registry.inMemory.initialCapacity=1000


##
# Spring WebFlow
#

#cas.webflow.signing.key=IdGDVyWutDgsbTM9bzLdJtpBAXDr6v2uUKmgH7yKwxsxn2fBHf1ToHG2-oS7VT9U0xUO8bJy0OYLDERPpl-bxA
#cas.webflow.signing.keySize=512
#cas.webflow.encryption.keySize=16
#cas.webflow.encryption.key=aAeUTZEQVlgmvUye
#cas.webflow.alg=AES

##
# Ticket Registry Cleaner 
# 
cas.ticket.registry.cleaner.appId=cas-ticket-registry-cleaner
cas.ticket.registry.cleaner.startDelay=20000
cas.ticket.registry.cleaner.repeatInterval=50000
cas.ticket.registry.cleaner.enabled=true
 
 
##
# Ticket ID Generation
# 
cas.ticket.st.maxLength=20
cas.ticket.tgt.maxLength=50
cas.ticket.pgt.maxLength=50


 
##  
# Ehcache Ticket Registry
#

cas.ticket.registry.ehcache.replicateUpdatesViaCopy=true
cas.ticket.registry.ehcache.cacheManagerName=ticketRegistryCacheManager
cas.ticket.registry.ehcache.replicatePuts=true
cas.ticket.registry.ehcache.replicateUpdates=true
cas.ticket.registry.ehcache.memoryStoreEvictionPolicy=LRU
cas.ticket.registry.ehcache.configLocation=classpath:/ehcache-replicated.xml
cas.ticket.registry.ehcache.maximumBatchSize=100
cas.ticket.registry.ehcache.shared=true
cas.ticket.registry.ehcache.replicationInterval=10
cas.ticket.registry.ehcache.cacheTimeToLive=2147483647
cas.ticket.registry.ehcache.diskExpiryThreadIntervalSeconds=0
cas.ticket.registry.ehcache.replicateRemovals=true
cas.ticket.registry.ehcache.maxChunkSize=5000000
cas.ticket.registry.ehcache.maxElementsOnDisk=1000
cas.ticket.registry.ehcache.maxElementsInCache=0
cas.ticket.registry.ehcache.maxElementsInMemory=10000
cas.ticket.registry.ehcache.cacheName=ticketRegistryCacheManager
cas.ticket.registry.ehcache.eternal=true
cas.ticket.registry.ehcache.loaderAsync=true
cas.ticket.registry.ehcache.replicatePutsViaCopy=true
cas.ticket.registry.ehcache.cacheTimeToIdle=0
cas.ticket.registry.ehcache.persistence=DISTRIBUTED
# cas.ticket.registry.ehcache.synchronousWrites=


cas.tgc.path=/cas
cas.tgc.maxAge=-1
cas.tgc.domain=localhost
#cas.tgc.secure=true
#cas.tgc.rememberMeMaxAge=1209600
#cas.tgc.cipherEnabled=true
 
##
# Ehcache Monitoring
#
cas.monitor.warn.threshold=100
cas.monitor.warn.evictionThreshold=10
  
## 
# General properties
#
# cas.authn.attributeRepository.ldap.ldapUrl=ldap://localhost:389
# cas.authn.attributeRepository.ldap.useSsl=false
# cas.authn.attributeRepository.ldap.useStartTls=false
# cas.authn.attributeRepository.ldap.connectTimeout=3000
# cas.authn.attributeRepository.ldap.baseDn=
# cas.authn.attributeRepository.ldap.userFilter=uid={0}
# cas.authn.attributeRepository.ldap.subtreeSearch=true
# cas.authn.attributeRepository.ldap.bindDn=
# cas.authn.attributeRepository.ldap.bindCredential=
# cas.authn.attributeRepository.ldap.trustCertificates=
# cas.authn.attributeRepository.ldap.keystore=
# cas.authn.attributeRepository.ldap.keystorePassword=
# cas.authn.attributeRepository.ldap.keystoreType=JKS|JCEKS|PKCS12
# cas.authn.attributeRepository.ldap.minPoolSize=1
# cas.authn.attributeRepository.ldap.maxPoolSize=10
# cas.authn.attributeRepository.ldap.validateOnCheckout=false
# cas.authn.attributeRepository.ldap.validatePeriodically=true
# cas.authn.attributeRepository.ldap.validatePeriod=300
# cas.authn.attributeRepository.ldap.failFast=true
# cas.authn.attributeRepository.ldap.idleTime=500
# cas.authn.attributeRepository.ldap.prunePeriod=600
# cas.authn.attributeRepository.ldap.blockWaitTime=3000
# cas.authn.attributeRepository.ldap.providerClass=org.ldaptive.provider.unboundid.UnboundIDProvider

cas.authn.attributeRepository.merger=MERGE
cas.authn.attributeRepository.attributes.uid=uid
cas.authn.attributeRepository.attributes.givenName=givenName
cas.authn.attributeRepository.attributes.telephonenumber=telephonenumber
cas.authn.attributeRepository.attributes.cn=cn
cas.authn.attributeRepository.attributes.mail=mail
cas.authn.attributeRepository.attributes.sn=sn
cas.authn.attributeRepository.attributes.gfsusername=gfsusername
cas.authn.attributeRepository.attributes.gfsmemberof=gfsmemberof


cas.authn.ldap[0].name=ldapAuthenticationHandler
cas.authn.ldap[0].type=AUTHENTICATED

cas.authn.ldap[0].ldapUrl=ldap://localhost:389
cas.authn.ldap[0].useSsl=false
cas.authn.ldap[0].useStartTls=false
cas.authn.ldap[0].connectTimeout=5000
cas.authn.ldap[0].baseDn=ou=People,dc=feba,dc=com
cas.authn.ldap[0].userFilter=uid={user}
cas.authn.ldap[0].subtreeSearch=true
cas.authn.ldap[0].usePasswordPolicy=true
cas.authn.ldap[0].bindDn=uid=user.0,ou=People,dc=feba,dc=com
cas.authn.ldap[0].bindCredential=admin

cas.authn.ldap[0].enhanceWithEntryResolver=false
cas.authn.ldap[0].dnFormat=uid=%s,ou=People,dc=feba,dc=com
cas.authn.ldap[0].principalAttributeId=uid
cas.authn.ldap[0].principalAttributePassword=
cas.authn.ldap[0].principalAttributeList=sn,cn:commonName,givenName,displayName,sambaPwdMustChange
cas.authn.ldap[0].allowMultiplePrincipalAttributeValues=true
# cas.authn.ldap[0].additionalAttributes=
# cas.authn.ldap[0].credentialCriteria=

# cas.authn.ldap[0].saslMechanism=GSSAPI|DIGEST_MD5|CRAM_MD5|EXTERNAL
# cas.authn.ldap[0].saslRealm=EXAMPLE.COM
# cas.authn.ldap[0].saslAuthorizationId=
# cas.authn.ldap[0].saslMutualAuth=
# cas.authn.ldap[0].saslQualityOfProtection=
# cas.authn.ldap[0].saslSecurityStrength=

# cas.authn.ldap[0].trustCertificates=
# cas.authn.ldap[0].keystore=
# cas.authn.ldap[0].keystorePassword=
# cas.authn.ldap[0].keystoreType=JKS|JCEKS|PKCS12

cas.authn.ldap[0].minPoolSize=3
cas.authn.ldap[0].maxPoolSize=10
cas.authn.ldap[0].validateOnCheckout=true
cas.authn.ldap[0].validatePeriodically=true
cas.authn.ldap[0].validatePeriod=600

cas.authn.ldap[0].failFast=true
cas.authn.ldap[0].idleTime=5000
cas.authn.ldap[0].prunePeriod=5000
cas.authn.ldap[0].blockWaitTime=5000
#cas.authn.ldap[0].providerClass=org.ldaptive.provider.unboundid.UnboundIDProvider
#cas.authn.ldap[0].providerClass=com.gfs.custom.authentication.GFSLdapAuthenticationHandler
cas.authn.ldap[0].allowMultipleDns=false

cas.authn.ldap[0].passwordEncoder.type=NONE
# cas.authn.ldap[0].passwordEncoder.characterEncoding=
# cas.authn.ldap[0].passwordEncoder.encodingAlgorithm=
# cas.authn.ldap[0].passwordEncoder.secret=
# cas.authn.ldap[0].passwordEncoder.strength=16

cas.authn.ldap[0].principalTransformation.suffix=
cas.authn.ldap[0].principalTransformation.caseConversion=NONE
cas.authn.ldap[0].principalTransformation.prefix=

cas.authn.ldap[0].passwordPolicy.enabled=true
cas.authn.ldap[0].passwordPolicy.type=GENERIC
#cas.authn.ldap[0].passwordPolicy.policyAttributes.accountLocked=javax.security.auth.login.CredentialExpiredException
cas.authn.ldap[0].passwordPolicy.policyAttributes.displayName=javax.security.auth.login.CredentialExpiredException
#cas.authn.ldap[0].passwordPolicy.loginFailures=5
cas.authn.ldap[0].passwordPolicy.warningAttributeValue=
cas.authn.ldap[0].passwordPolicy.warningAttributeName=
cas.authn.ldap[0].passwordPolicy.displayWarningOnMatch=true
cas.authn.ldap[0].passwordPolicy.warnAll=true
#cas.authn.ldap[0].passwordPolicy.warningDays=30
cas.authn.ldap[0].passwordPolicy.url=https://www.google.com
cas.authn.pm.enabled=true
# cas.authn.ldap[0].passwordPolicy.type=GENERIC|AD|FreeIPA|EDirectory
# cas.authn.ldap[0].passwordPolicy.enabled=true
# cas.authn.ldap[0].passwordPolicy.policyAttributes.accountLocked=javax.security.auth.login.AccountLockedException
# cas.authn.ldap[0].passwordPolicy.loginFailures=5
# cas.authn.ldap[0].passwordPolicy.warningAttributeValue=
# cas.authn.ldap[0].passwordPolicy.warningAttributeName=
# cas.authn.ldap[0].passwordPolicy.displayWarningOnMatch=true
# cas.authn.ldap[0].passwordPolicy.warnAll=true
# cas.authn.ldap[0].passwordPolicy.warningDays=30
# cas.authn.ldap[0].passwordPolicy.url=https://password.example.edu/change

# Define the thread pool that will ping on the LDAP connection pool.
cas.monitor.ldap.pool.suspension=false
cas.monitor.ldap.pool.minSize=6
cas.monitor.ldap.pool.maxSize=18
cas.monitor.ldap.pool.maxIdleTime=1000
cas.monitor.ldap.pool.maxWait=2000

cas.monitor.ldap.maxWait=5000

# Define the LDAP connection pool settings for monitoring
cas.monitor.ldap.ldapUrl=ldap://localhost:389
cas.monitor.ldap.baseDn=ou=People,dc=feba,dc=com
cas.monitor.ldap.userFilter=uid={user}
cas.monitor.ldap.bindDn=uid=user.0,ou=People,dc=feba,dc=com
cas.monitor.ldap.bindCredential=admin
#cas.monitor.ldap.providerClass=org.ldaptive.provider.unboundid.UnboundIDProvider
#cas.monitor.ldap.providerClass=org.jasig.cas.authentication.LdapAuthenticationHandler
cas.monitor.ldap.connectTimeout=5000
# cas.monitor.ldap.trustCertificates=
# cas.monitor.ldap.keystore=
# cas.monitor.ldap.keystorePassword=
# cas.monitor.ldap.keystoreType=JKS|JCEKS|PKCS12
cas.monitor.ldap.minPoolSize=3
cas.monitor.ldap.maxPoolSize=10
cas.monitor.ldap.validateOnCheckout=true
cas.monitor.ldap.validatePeriodically=true
cas.monitor.ldap.validatePeriod=600
cas.monitor.ldap.failFast=true
cas.monitor.ldap.idleTime=500
cas.monitor.ldap.prunePeriod=600
cas.monitor.ldap.blockWaitTime=5000
cas.monitor.ldap.subtreeSearch=true
cas.monitor.ldap.useSsl=false
cas.monitor.ldap.useStartTls=false

#cas.serviceRegistry.ldap.serviceDefinitionAttribute=description
#cas.serviceRegistry.ldap.idAttribute=uid
#cas.serviceRegistry.ldap.objectClass=casRegisteredService

#cas.serviceRegistry.ldap.ldapUrl=ldap://localhost:389
#cas.serviceRegistry.ldap.baseDn=ou=People,dc=feba,dc=com
#cas.serviceRegistry.ldap.bindDn=uid=user.0,ou=People,dc=feba,dc=com
#cas.serviceRegistry.ldap.bindCredential=admin
#cas.serviceRegistry.ldap.providerClass=org.ldaptive.provider.unboundid.UnboundIDProvider
#cas.serviceRegistry.ldap.providerClass=org.jasig.cas.authentication.LdapAuthenticationHandler
#cas.serviceRegistry.ldap.connectTimeout=5000
# cas.serviceRegistry.ldap.trustCertificates=
# cas.serviceRegistry.ldap.keystore=
# cas.serviceRegistry.ldap.keystorePassword=
# cas.serviceRegistry.ldap.keystoreType=JKS|JCEKS|PKCS12
#cas.serviceRegistry.ldap.minPoolSize=3
#cas.serviceRegistry.ldap.maxPoolSize=10
#cas.serviceRegistry.ldap.validateOnCheckout=true
#cas.serviceRegistry.ldap.validatePeriodically=true
#cas.serviceRegistry.ldap.validatePeriod=600
#cas.serviceRegistry.ldap.failFast=true
#cas.serviceRegistry.ldap.idleTime=500
#cas.serviceRegistry.ldap.prunePeriod=600
#cas.serviceRegistry.ldap.blockWaitTime=5000
#cas.serviceRegistry.ldap.useSsl=false
#cas.serviceRegistry.ldap.useStartTls=false



cas.authn.mfa.gauth.windowSize=3
cas.authn.mfa.gauth.issuer=gfs
cas.authn.mfa.gauth.codeDigits=6
cas.authn.mfa.gauth.label=cas
cas.authn.mfa.gauth.timeStepSize=30
cas.authn.mfa.gauth.rank=0
cas.authn.mfa.gauth.trustedDeviceEnabled=true

cas.authn.mfa.gauth.bypass.principalAttributeName=bypass
cas.authn.mfa.gauth.bypass.principalAttributeValue=true
cas.authn.mfa.gauth.bypass.authenticationAttributeName=bypass
cas.authn.mfa.gauth.bypass.authenticationAttributeValue=allowed
cas.authn.mfa.gauth.bypass.authenticationHandlerName=LdapAuthenticationHandler
cas.authn.mfa.gauth.bypass.authenticationMethodName=LdapAuthentication
cas.authn.mfa.gauth.bypass.credentialClassType=UsernamePassword
cas.authn.mfa.gauth.jpa.database.healthQuery=SELECT 1 FROM INFORMATION_SCHEMA.SYSTEM_USERS
cas.authn.mfa.gauth.jpa.database.isolateInternalQueries=false
cas.authn.mfa.gauth.jpa.database.url=jdbc:hsqldb:mem:cas-gauth
cas.authn.mfa.gauth.jpa.database.failFast=true
cas.authn.mfa.gauth.jpa.database.dialect=org.hibernate.dialect.HSQLDialect
cas.authn.mfa.gauth.jpa.database.leakThreshold=10
cas.authn.mfa.gauth.jpa.database.batchSize=1
cas.authn.mfa.gauth.jpa.database.user=sa
cas.authn.mfa.gauth.jpa.database.ddlAuto=create-drop
cas.authn.mfa.gauth.jpa.database.password=
cas.authn.mfa.gauth.jpa.database.autocommit=false
cas.authn.mfa.gauth.jpa.database.driverClass=org.hsqldb.jdbcDriver
cas.authn.mfa.gauth.jpa.database.idleTimeout=5000

cas.authn.mfa.gauth.jpa.database.pool.suspension=false
cas.authn.mfa.gauth.jpa.database.pool.minSize=6
cas.authn.mfa.gauth.jpa.database.pool.maxSize=18
cas.authn.mfa.gauth.jpa.database.pool.maxIdleTime=1000
cas.authn.mfa.gauth.jpa.database.pool.maxWait=2000

cas.googleApps.publicKeyLocation=file:///c:/work/personal/1work/sravani/new/apache-tomcat-8.5.6/keystore/keystore/public.der
cas.googleApps.keyAlgorithm=RSA
cas.googleApps.privateKeyLocation=file:///c:/work/personal/1work/sravani/new/apache-tomcat-8.5.6/keystore/keystore/private.pem

cas.authn.pac4j.typedIdUsed=true

#cas.authn.pac4j.facebook.fields=id,name,first_name,middle_name,last_name,gender,locale,languages,link,third_party_id,timezone,updated_time,verified,bio,birthday,education,email,hometown,interested_in,location,political,relationship_status,religion,significant_other,website,work,picture
cas.authn.pac4j.facebook.id=1818371935151669
cas.authn.pac4j.facebook.secret=8adcc44d9a5803738553c498a7bf0fd5
cas.authn.pac4j.facebook.scope=public_profile
cas.authn.pac4j.facebook.fields=id,name,first_name,middle_name,last_name,gender,locale



cas.authn.pac4j.google.id=175610746999-gg16ir9ds215k604ca31dnec1sncjhj0.apps.googleusercontent.com
cas.authn.pac4j.google.secret=_vjFtdER6PGVZXR69lvKzzZ1
cas.authn.pac4j.google.scope=profile

cas.authn.oauth.refreshToken.timeToKillInSeconds=2592000
cas.authn.oauth.code.timeToKillInSeconds=30
cas.authn.oauth.code.numberOfUses=1
cas.authn.oauth.accessToken.timeToKillInSeconds=7200
cas.authn.oauth.accessToken.maxTimeToLiveInSeconds=28800

#cas.httpWebRequest.header.xframe=false
#cas.httpWebRequest.header.xss=false
#cas.httpWebRequest.header.hsts=false
#cas.httpWebRequest.header.xcontent=false
#cas.httpWebRequest.header.cache=false

#cas.httpWebRequest.web.forceEncoding=true
#cas.httpWebRequest.web.encoding=UTF-8

#cas.httpWebRequest.allowMultiValueParameters=false
#cas.httpWebRequest.onlyPostParams=username,password
#cas.httpWebRequest.paramsToCheck=ticket,service,renew,gateway,warn,method,target,SAMLart,pgtUrl,pgt,pgtId,pgtIou,targetService,entityId,token

#spring.http.encoding.charset=UTF-8
#spring.http.encoding.enabled=true
#spring.http.encoding.force=true

cas.httpClient.connectionTimeout=5000
cas.httpClient.asyncTimeout=5000
cas.httpClient.readTimeout=5000

cas.httpClient.truststore.psw=password
cas.httpClient.truststore.file=file:///C:/work/personal/1work/sravani/new/apache-tomcat-8.5.6/keystore/keystore/tomcat.keystore


#cas.authn.pac4j.cas.loginUrl=https://localhost:9443/cas/login
#cas.authn.pac4j.saml.keystorePassword=password
#cas.authn.pac4j.saml.privateKeyPassword=password
#cas.authn.pac4j.saml.keystorePath=file:///C:/work/personal/1work/sravani/new/apache-tomcat-8.5.6/keystore/keystore/tomcat.keystore
#cas.authn.pac4j.saml.identityProviderMetadataPath=sampleDemo/target/classes/metadata-okta.xml


cas.webflow.signing.key=pIhjfS9Ja3pCKxkxcu-3q_1A4BSorKdScc4Thb5PbAkNFngHlJ63KodZ1nDLLotPAoGGXgn8a65C-6n5kslP5g
cas.webflow.signing.keySize=512
cas.webflow.encryption.keySize=16
cas.webflow.encryption.key=jPMbutIDxdGuVQeB
cas.webflow.alg=AES
cas.ticket.registry.ehcache.crypto.signing.key=pIhjfS9Ja3pCKxkxcu-3q_1A4BSorKdScc4Thb5PbAkNFngHlJ63KodZ1nDLLotPAoGGXgn8a65C-6n5kslP5g
cas.ticket.registry.ehcache.crypto.signing.keySize=512
cas.ticket.registry.ehcache.crypto.encryption.key=jPMbutIDxdGuVQeB
cas.ticket.registry.ehcache.crypto.encryption.keySize=16
cas.ticket.registry.ehcache.crypto.alg=AES
#cas.ticket.registry.inMemory.crypto.signing.key=pIhjfS9Ja3pCKxkxcu-3q_1A4BSorKdScc4Thb5PbAkNFngHlJ63KodZ1nDLLotPAoGGXgn8a65C-6n5kslP5g
#cas.ticket.registry.inMemory.crypto.signing.keySize=512
#cas.ticket.registry.inMemory.crypto.encryption.key=jPMbutIDxdGuVQeB
#cas.ticket.registry.inMemory.crypto.encryption.keySize=16
#cas.ticket.registry.inMemory.crypto.alg=AES
#cas.ticket.registry.inMemory.loadFactor=1
#cas.ticket.registry.inMemory.concurrency=20
#cas.ticket.registry.inMemory.initialCapacity=1000

cas.tgc.signingKey=pIhjfS9Ja3pCKxkxcu-3q_1A4BSorKdScc4Thb5PbAkNFngHlJ63KodZ1nDLLotPAoGGXgn8a65C-6n5kslP5g
cas.tgc.name=TGC
cas.tgc.encryptionKey=LBICqGHKvHqozHbGPx81hIBh2fWbGGckpCeTMIQsiqQ

cas.webflow.autoconfigure=true
cas.webflow.alwaysPauseRedirect=false
cas.webflow.refresh=true
cas.webflow.redirectSameState=false
cas.webflow.session.lockTimeout=30
cas.webflow.session.compress=false
cas.webflow.session.maxConversations=5
cas.webflow.session.storage=true



# cas.authn.pm.ldap.type=GENERIC|AD
# cas.authn.pm.ldap.ldapUrl=ldaps://ldap1.example.edu,ldaps://ldap2.example.edu,...
# cas.authn.pm.ldap.useSsl=true
# cas.authn.pm.ldap.useStartTls=false
# cas.authn.pm.ldap.connectTimeout=5000
# cas.authn.pm.ldap.baseDn=dc=example,dc=org
# cas.authn.pm.ldap.userFilter=cn={user}
# cas.authn.pm.ldap.subtreeSearch=true
# cas.authn.pm.ldap.bindDn=cn=Directory Manager,dc=example,dc=org
# cas.authn.pm.ldap.bindCredential=Password
# cas.authn.pm.ldap.trustCertificates=
# cas.authn.pm.ldap.keystore=
# cas.authn.pm.ldap.keystorePassword=
# cas.authn.pm.ldap.keystoreType=JKS|JCEKS|PKCS12
# cas.authn.pm.ldap.minPoolSize=3
# cas.authn.pm.ldap.maxPoolSize=10
# cas.authn.pm.ldap.validateOnCheckout=true
# cas.authn.pm.ldap.validatePeriodically=true
# cas.authn.pm.ldap.validatePeriod=600
# cas.authn.pm.ldap.failFast=true
# cas.authn.pm.ldap.idleTime=500
# cas.authn.pm.ldap.prunePeriod=600
# cas.authn.pm.ldap.blockWaitTime=5000
# cas.authn.pm.ldap.providerClass=org.ldaptive.provider.unboundid.UnboundIDProvider
#cas.authn.policy.all.enabled=true
#cas.authn.policy.req.tryAll=true
#cas.authn.policy.req.handlerName=ldapAuthenticationHandler
#cas.authn.policy.req.enabled=true
cas.authn.policy.requiredHandlerAuthenticationPolicyEnabled=true
cas.authn.policy.any.tryAll=true
cas.authn.ldap[0].order=0
cas.authn.policy.all.enabled=false





